The third version of the patch this time working for build from scratch.
But, a _big_ but, the change in unpack-extras and build-generic _may_
affect other mechanism of the build system I don't know yet (for ex.
/bin/bash -> /bin/sh).
Anyway with the attached patch I was able to build from scratch the
correct LibreOfficeLinux.
beppec56
Giuseppe Castagno wrote:
The attached patch seems better then the one before.
Please have a look.
beppec56
Giuseppe Castagno wrote:
Hi all,
I stumbled on a couple of error while building with a recent git pull
-r from repo (this morning, around 8 CET).
System: Ubuntu 9.10
autogen command:
./autogen.sh --with-distro=LibreOfficeLinux --with-gcc-speedup=ccache
--with-git --with-num-cpus=2 --with-lang='en-US it' --enable-kde=no
--enable-kde4=yes
build log with error:
....
Revert font mapping munging ...
test -n "" && /home/beppe/LibO-b/LibO_master-head/build/bin/gob
--build-dir=/home/beppe/LibO-b/LibO_master-head/build/build/libreoffice-3.2.99.2
prepare || true
FLAGS=`/home/beppe/LibO-b/LibO_master-head/build/bin/applyflags
/home/beppe/LibO-b/LibO_master-head/build/bin` ; \
CURSOURCE=libreoffice-3.2.99.2; test -f
/home/beppe/LibO-b/LibO_master-head/build/build/libreoffice-3.2.99.2/.source
&& CURSOURCE=`cat
/home/beppe/LibO-b/LibO_master-head/build/build/libreoffice-3.2.99.2/.source`;
\
chmod +x
/home/beppe/LibO-b/LibO_master-head/build/patches/apply.pl &&
/home/beppe/LibO-b/LibO_master-head/build/patches/apply.pl
/home/beppe/LibO-b/LibO_master-head/build/patches/dev300
/home/beppe/LibO-b/LibO_master-head/build/build/libreoffice-3.2.99.2
$FLAGS --tag=$CURSOURCE ;
test: 13: z/home/beppe/LibO-b/LibO_master-head/build/bin: unexpected
operator
/home/beppe/LibO-b/LibO_master-head/build/bin/applyflags: 16: Syntax
error: Bad fd number
Execute with for distro(s) 'Debian'
PATCHPATH =>
.:../evo2:../vba:../mono:../64bit:../cairo:../gstreamer:../ooxml:../postgresql:../emf+:../unittesting:../lwp
OLDEST_SUPPORTED => ooo330-m7 ooo-build-3.2.98.0 libreoffice-3.2.99.1
....
the source ended up with the patch set for Debian applied, so even
though if was all right straight to smoketest, the splash at LibO
start has the bitmap missing while the bar is in place.
Another error was the missed Italian localized full package, while the
Italian packlanguage was present.
The attached patch solves the second error
(/home/beppe/LibO-b/LibO_master-head/build/bin/applyflags: 16: Syntax
error: Bad fd number) but the first error seems embedded in a python
script; a language I don't know very well.
All this seems related to the /bin/bash =-> /bin/sh change.
Don't know if it's needed, anyway patch is supplied compliant to
LGPLv3+ license.
beppec56.
------------------------------------------------------------------------
_______________________________________________
LibreOffice mailing list
LibreOffice@lists.freedesktop.org
http://lists.freedesktop.org/mailman/listinfo/libreoffice
------------------------------------------------------------------------
_______________________________________________
LibreOffice mailing list
LibreOffice@lists.freedesktop.org
http://lists.freedesktop.org/mailman/listinfo/libreoffice
--
Kind Regards,
Giuseppe Castagno
Acca Esse http://www.acca-esse.eu
giuseppe.castagno at acca-esse.eu
beppec56 at openoffice.org
diff --git a/bin/applyflags b/bin/applyflags
index 531c89a..afd3bfe 100755
--- a/bin/applyflags
+++ b/bin/applyflags
@@ -7,13 +7,13 @@ bindir=$1
# optional to force another OOBUILDDIR in the split build
builddir=$2
-if test "z$bindir" == "z"; then
+if test "z$bindir" = "z"; then
echo "Serious error - requires path to bindir"
exit 1
fi
cd $bindir
-source ./setup >& /dev/null
+. ./setup 2>&1 /dev/null
SECTIONS="$OOO_ADDITIONAL_SECTIONS"
diff --git a/bin/piece/build-generic b/bin/piece/build-generic
index e1e1e89..4966093 100755
--- a/bin/piece/build-generic
+++ b/bin/piece/build-generic
@@ -1,13 +1,13 @@
-#!/bin/bash
+#!/bin/sh
piece=$1
ooo_build_tag=$2
-source $OO_TOOLSDIR/piece/sys-setup
+. $OO_TOOLSDIR/piece/sys-setup
custom_env="$OO_TOOLSDIR/piece/env-$piece"
if test -f $custom_env; then
- source $custom_env
+ . $custom_env
echo "merged custom environment: $custom_env"
fi
diff --git a/bin/piece/unpack-extras b/bin/piece/unpack-extras
index 8baf33e..3758fe5 100755
--- a/bin/piece/unpack-extras
+++ b/bin/piece/unpack-extras
@@ -1,11 +1,11 @@
-#!/bin/bash
+#!/bin/sh
TOOLSDIR=$1
OOBUILDDIR=$2
echo "Copying default evolution database into tree"
-$GNUCP -f $TOOLSDIR/src/evolocal.odb $OOBUILDDIR/extras/source/database || exit 1;
+cp -f $TOOLSDIR/src/evolocal.odb $OOBUILDDIR/extras/source/database || exit 1;
echo "Copying custom user-dicts into tree"
[ -d $OOBUILDDIR/extras/source/wordbook ] || mkdir -p $OOBUILDDIR/extras/source/wordbook
-$GNUCP -f $TOOLSDIR/src/*.dic $OOBUILDDIR/extras/source/wordbook || exit 1;
+cp -f $TOOLSDIR/src/*.dic $OOBUILDDIR/extras/source/wordbook || exit 1;
Context
Privacy Policy |
Impressum (Legal Info) |
Copyright information: Unless otherwise specified, all text and images
on this website are licensed under the
Creative Commons Attribution-Share Alike 3.0 License.
This does not include the source code of LibreOffice, which is
licensed under the Mozilla Public License (
MPLv2).
"LibreOffice" and "The Document Foundation" are
registered trademarks of their corresponding registered owners or are
in actual use as trademarks in one or more countries. Their respective
logos and icons are also subject to international copyright laws. Use
thereof is explained in our
trademark policy.